FXRateInquiry
Request
Path Parameters
sid
string
Required
EVO Cloud assigned store number, unique identifier for store.
Header Parameters
Authorization
string
Required
signature value
Content-type
string
Required
Specify application/json; charset=utf-8, which means the message body of the request and response must be in the JSON format, and the character encoding is UTF-8. It will be echoed back in the response message.
DateTime
string
Required
The time when the message is sent. The format follows ISO 8601, which is YYYY-MMDDThh:mm:ssTZD. For example, 2021-05-26T10:08:25+08:00. It will be echoed back in the response message.
KeyID
string
KeyID is a unique key identifier of up to 32 characters that is generated along with the signature key, and is only mandatory if the store is configured to use multi-level keys instead of just using store-level key.
MsgID
string
Required
An ID for a merchant to trace every API request. The suggested value is UUID or GUID, such as 2d21a5715c034efb7e0aa383b885fc7a. It is suggested to specify this value with no more than 32 characters in length. EVO Cloud will not validate this value and will echo it back in the response message.
- Usage Instruction
1. Field Type: String(1024)
SignType
string
Required
SHA256, SHA512, HMAC-SHA256, HMAC-SHA512
The method of the message being signed. It can be SHA256, SHA512, HMAC-SHA256 or HMAC-SHA512.
Idempotency-Key
string
Request idempotent identity, no more than 64 characters.
Request Body schema
localAmount
object
Required
This is used to define the amount of the transaction in merchant local currency. The filed “value” in this object need to obtain through POST FXRateInquiry interface.
- Usage Instruction
1. This object is mandatory when you need use Acquirer- MCP service.
2. Used in POST Payment request and POST FXRateInquiry request, to send the payment transaction amount in local currency.
merchantTransInfo
object
Required
"This is the information for merchant to identify this Transaction
- Usage Instruction
For each new POST request, including PaymentMethod, Payment, Capture, Cancel, Refund, CancelOrRefund, DataSubmission and Cryptogram and DeviceBinding, a new and unique merchantTranInfo shall be assigned for the transaction"
metadata
string<= 512 characters
This is the evoTransTime for the initial FXRateInquiry transaction
- Usage Instruction
1. Format: ISO 8601 YYYY-MM-DDThh:mm:ssTZD
2. Sample: 2017-07-17T13:42:40+01:00
3. This is generated by EVO Cloud
transAmount
object
Required
This is used to define the amount for the transaction
- Usage Instruction
1. Used in POST Payment request, to send the payment transaction amount
2. Used in POST Capture request, to send the capture amount
3. Used in POST Refund request, to send the refund transaction amount
4. Used within object payment, capture or refund in response or notification from EVO Cloud, to specify the corresponding amount of the objects.
5. Used in POST PaymentMethod, to indicate Currency for this transaction when the store is assigned multiple Currencies in EVO Cloud. If the store is not assigned multiple Currencies, this object will be ignored.
Responses
200
POST
/g2/v1/payment/mer/{sid}/FXRateInquiryTry it
Server
https://online-uat.everonet.com
Path Parameters
Header Parameters
Request Body Parameters
Request Samples
cURL
curl -i -X POST \
'https://online-uat.everonet.com/g2/v1/payment/mer/{sid}/FXRateInquiry' \
-H 'Authorization: string' \
-H 'Content-type: application/json' \
-H 'DateTime: string' \
-H 'KeyID: string' \
-H 'MsgID: string' \
-H 'SignType: string' \
-H 'Idempotency-Key: string' \
-d '{
"localAmount": {
"currency": "string",
"value": "string"
},
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"metadata": "string",
"transAmount": {
"currency": "string"
}
}'JavaScript
const sid = 'YOUR_sid_PARAMETER';
fetch(
`https://online-uat.everonet.com/g2/v1/payment/mer/${sid}/FXRateInquiry`,
{
method: 'post',
headers: {
'Authorization': 'string',
'Content-type': 'application/json',
'DateTime': 'string',
'KeyID': 'string',
'MsgID': 'string',
'SignType': 'string',
'Idempotency-Key': 'string'
},
body: '{
"localAmount": {
"currency": "string",
"value": "string"
},
"merchantTransInfo": {
"merchantOrderReference": "string",
"merchantTransID": "string",
"merchantTransTime": "string"
},
"metadata": "string",
"transAmount": {
"currency": "string"
}
}'
})
.then(response => response.json())
.then(data => console.log(data));Response Samples
200
application/json
json

